SparrowDesk
Notes

List all contact notes

GET
/contacts/{contactId}/notes
AuthorizationBearer <token>

In: header

Path Parameters

contactIdinteger

Query Parameters

starting_after?string

Cursor from a previous response's pages.next_cursor

per_page?integer
Default25
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.sparrowdesk.com/v1/contacts/0/notes"
{
  "data": [
    {
      "id": 1837,
      "contact_id": 8821,
      "company_id": null,
      "title": "Renewal call",
      "description": "Wants the annual plan. Sending the contract.",
      "source": "api",
      "attachments": [
        {
          "id": 904,
          "url": "https://attachments.sparrowdesk.com/helpdesk-application/production/6f1c/note-attachments/contract.pdf",
          "file_name": "contract.pdf",
          "content_type": "application/pdf",
          "size": 20481,
          "status": "READY"
        }
      ],
      "created_by": {
        "id": 42,
        "name": "John Doe",
        "email": "[email protected]"
      },
      "last_updated_by": {
        "id": 57,
        "name": "Jane Doe",
        "email": "[email protected]"
      },
      "created_at": 1758537600,
      "updated_at": 1758537600
    }
  ],
  "pages": {
    "per_page": 25,
    "next_cursor": "eyJjcmVhdGVkX2F0IjoiMjAyNi0wOS0yMVQxMjowMDowMC4wMDBaIiwiaWQiOjE4MzZ9",
    "next_url": "https://api.sparrowdesk.com/v1/contacts/8821/notes?starting_after=eyJjcmVhdGVkX2F0IjoiMjAyNi0wOS0yMVQxMjowMDowMC4wMDBaIiwiaWQiOjE4MzZ9&per_page=25"
  },
  "total_count": 128
}
{
  "error": {
    "message": "Invalid cursor"
  }
}
{
  "error": {
    "message": "Contact not found"
  }
}
{
  "error": {
    "message": "Required"
  }
}
{
  "error": {
    "message": "Internal server error"
  }
}